/* spatical1 -- PLACE-based spatializer -- BGG 9/2003
*/

#include <math.h>

#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#define MAIN
#include <globals.h>

#include "spatical1.h"
#include <iostream.h>


IMPLEMENT_APP(spatical1)

bool spatical1::OnInit()
{
	int i;

	frame = new wxFrame((wxFrame*) NULL, -1, "spatical1",
		wxPoint(50, 50), wxSize(500, 500),
		wxDEFAULT_FRAME_STYLE, "spatical1");
	frame->Show(TRUE);
	SetTopWindow(frame);

	theTimer = new myTimer();

	theTimer->Start(2000, wxTIMER_CONTINUOUS);

	return true;
}

void spatical1::OnMouse(wxMouseEvent& command)
{
	wxClientDC *wdc = new wxClientDC(frame);

	wdc->SetBrush(*wxRED_BRUSH);
	wdc->DrawCircle(250, 250, 10);

	if (command.Dragging() == TRUE)
	{
		theTimer->setX(command.GetX());
		theTimer->setY(command.GetY());
	}
}

BEGIN_EVENT_TABLE(spatical1, wxApp)
	EVT_MOUSE_EVENTS(spatical1::OnMouse)
END_EVENT_TABLE()

