/* myTimer -- the timing object for doing lorenz graph-timing -- BGG 9/2003
*/

#include "wx/wxprec.h"

#ifndef WX_PRECOMP
	#include "wx/wx.h"
#endif

#include "myTimer.h"
#include <iostream.h>


myTimer::myTimer()
{
	x = 0;
	y = 0;

	rrr = new RTcmix(44100, 2, 1024);
//	rrr->printOn();
//	rrr->cmd("set_option", 1, "full_duplex_on");
	rrr->cmd("rtinput", 1, "/snd/misc/loocher441.snd");
	rrr->cmd("load", 1, "PLACE");
	rrr->cmd("makegen", 4, 1.0, 25.0, 1000.0, 1.0);
//	rrr->cmd("reset", 1, 44100.0);
	rrr->cmd("space", 7, 250.0, 250.0, -250.0, -250.0, 50.0, 7.0, 1.5);
}

void myTimer::Notify()
{
// this is where the work is done -- Notify() is called periodically

	rrr->cmd("PLACE", 8, 0.0, 0.5, 0.2, 5.0, (double)(x-250), (double)(250-y), -5.0, 1.0);
}

void myTimer::setX(int xval)
{
	x = xval;
}

void myTimer::setY(int yval)
{
	y = yval;
}
